/*!
\page changelogpage CMAPL Change Log

\section onedotfour 1.5
\li Added support for counter alias. The alias information is stored in cm_objs and copied to cmapl_counter_def_t structure. When archiver writes the data, it stores the alias name in the meta file. The alias size is set to 0 so that it does not use any space in the data file. The original counter value is returned when an alias is queried.

\section onedotfour 1.4
\li Added new parameter check_current to cmapl_open_directory() API. This flag specifies whether or not to check the current file being written to while the directory is being proecessed.

\section onedotthree 1.3
\li Added support for parsing of a collection, which can be either a directory structure containing archive files or just a single archive file. This provides the abstraction to the user so they don't need to decide which API to use based on the structure type.
\li Added cluster, process, and store information to the archive metafile XML header.

\section onedottwo 1.2
\li Modified counter metadata to include all the periods a counter is sampled at compared to before which only had the fastest period that a counter was sampled at.
\li Added privilege level information for object's.

\section onedotone 1.1

\li Added ability to linearly parse the archive file in the new order of periodic timestamp, object ID, and then period value. The order can be decided using the new cmapl_object_type_t enum. This enum value will be passed into cmapl_first_record() to determine the order the records will be returned. This new order will be specified by using the CMAPL_LINEAR_ORDER order type. To get the records in the order they were written to the file, you may now use the CMAPL_RAW_ORDER order type.

\section onedotzero 1.0

\li Added public API to return the major and minor version of the CMAPL with cmapl_get_major_version() and cmapl_get_minor_version(). Prior to this release, there was no version number for the library and no cmapl_get_*_version() APIs.
\li The functionality of cmapl_first_timestamp() and cmapl_next_timestamp() have been updated. For records at a specific timestamp that contain zero instances, CMAPL_SUCCESS is now returned instead of CMAPL_RECORD_EMPTY. In addition, the timestamp handle returned will now be allocated even for records with zero instances instead of returning as NULL.

*/
