﻿using System;
using System.Collections.Generic;
using System.Text;

namespace odct {
    class OdctSpiDownloadFailed : System.Exception {
        public OdctSpiDownloadFailed() : base() { }
        public OdctSpiDownloadFailed(string message) : base(message) { }
        public OdctSpiDownloadFailed(string message, System.Exception inner) : base(message, inner) { }
        public OdctSpiDownloadFailed(
            System.Runtime.Serialization.SerializationInfo info,
            System.Runtime.Serialization.StreamingContext context) { }
    }

    class OdctClusterCounterCollectionFailedException : System.Exception {
        public OdctClusterCounterCollectionFailedException() : base() { }
        public OdctClusterCounterCollectionFailedException(string message) : base(message) { }
        public OdctClusterCounterCollectionFailedException(
            string message, System.Exception inner)
            : base(message, inner) { }
        public OdctClusterCounterCollectionFailedException(
            System.Runtime.Serialization.SerializationInfo info,
            System.Runtime.Serialization.StreamingContext context) { }
    }

    class OdctSpiProbablyNotConfiguredException : System.Exception {
        public OdctSpiProbablyNotConfiguredException() : base() { }
        public OdctSpiProbablyNotConfiguredException(string message) : base(message) { }
        public OdctSpiProbablyNotConfiguredException(
            string message, System.Exception inner) : base(message, inner) { }
        public OdctSpiProbablyNotConfiguredException(
            System.Runtime.Serialization.SerializationInfo info,
            System.Runtime.Serialization.StreamingContext context) { }
    }

    class OdctSpiWebException: System.Exception {
        public OdctSpiWebException() : base() { }
        public OdctSpiWebException(string message) : base(message) { }
        public OdctSpiWebException(string message, System.Exception inner) : base(message, inner) { }
        public OdctSpiWebException(
            System.Runtime.Serialization.SerializationInfo info,
            System.Runtime.Serialization.StreamingContext context) { }
    }

    class OdctSpiOtherException: System.Exception {
        public OdctSpiOtherException() : base() { }
        public OdctSpiOtherException(string message) : base(message) { }
        public OdctSpiOtherException(string message, System.Exception inner) : base(message, inner) { }
        public OdctSpiOtherException(
            System.Runtime.Serialization.SerializationInfo info,
            System.Runtime.Serialization.StreamingContext context) { }
    }

    class OdctMissingCredentialsException : System.Exception {
        public OdctMissingCredentialsException() : base() { }
        public OdctMissingCredentialsException(string message) : base(message) { }
        public OdctMissingCredentialsException(string message, System.Exception inner) : base(message, inner) { }
        public OdctMissingCredentialsException(
            System.Runtime.Serialization.SerializationInfo info,
            System.Runtime.Serialization.StreamingContext context) { }
    }

    class OdctZapiException : System.Exception {
        public OdctZapiException() : base() { }
        public OdctZapiException(string message) : base(message) { }
        public OdctZapiException(string message, System.Exception inner) : base(message, inner) { }
        public OdctZapiException(
            System.Runtime.Serialization.SerializationInfo info,
            System.Runtime.Serialization.StreamingContext context) { }
    }

    class OdctNullMessengerException : System.Exception {
        public OdctNullMessengerException() : base() { }
        public OdctNullMessengerException(string message) : base(message) { }
        public OdctNullMessengerException(string message, System.Exception inner) : base(message, inner) { }
        public OdctNullMessengerException(
            System.Runtime.Serialization.SerializationInfo info,
            System.Runtime.Serialization.StreamingContext context) { }
    }

    class OdctCmaplFailureException : System.Exception {
        public OdctCmaplFailureException() : base() { }
        public OdctCmaplFailureException(string message) : base(message) { }
        public OdctCmaplFailureException(string message, System.Exception inner) : base(message, inner) { }
        public OdctCmaplFailureException(
            System.Runtime.Serialization.SerializationInfo info,
            System.Runtime.Serialization.StreamingContext context) { }
    }

}
