namespace odct {
    using System.Text;

    public class MessageKeeper : MessageRecorder {
        private StringBuilder messages;

        public MessageKeeper() {
            this.messages = new StringBuilder();
        }

        public string GetMessages() {
            return this.messages.ToString();
        }

        protected override void RecordMessage(string formattedMessage) {
            this.messages.AppendLine(formattedMessage);
        }

    }
}
