﻿namespace odct.Settings {
    using System;
    using System.Collections.Generic;

    public class CollectorOptions : ICollectorOptions {

        public bool AutoCollectHaPartner { get; set; }
        public Dictionary<string, int> Counters { get; set; }
        public string AppCountersRequested { get; set; }

        public bool GetAutoCollectHaPartners() {
            return this.AutoCollectHaPartner;
        }

        public Dictionary<string, int> GetCounterDefinitions() {
            if (this.Counters == null) {
                return new Dictionary<string, int>();
            } else {
                return this.Counters;
            }
        }

        public string getAppCountersRequested() {
            return AppCountersRequested;
        }
    }
}
