﻿namespace odct {
    using System;
    using System.Collections.Generic;
    using NetApp.Manage;

    public class ZapiContext {
        public Credentials credentials { get; private set;}
        private NaServer server;
        private Messenger messenger;
        public NaServer.TRANSPORT_TYPE TransportType {get; set;}

        public ZapiContext(Credentials c, Messenger m, NaServer.TRANSPORT_TYPE transportType) {
            this.credentials = c;
            this.messenger = m;
            this.TransportType = transportType;

            if (c != null && m != null) {
                this.server = initializeServer();
            }
        }

        public NaServer GetServer() {
            return this.server;
        }

        public NaServer initializeServer() {
            this.messenger.sendDebug("FilerImpl.initalizeServer(Credentials) started.");
            NaServer newServer = this.credentials.naServer;
            this.messenger.sendDebug("FilerImpl.initalizeServer(Credentials) returned.");
            server = newServer;
            return newServer;
        }
    }
}