@echo off
setlocal
set BASE_DIR=%~dp0
set WORK_DIR=%BASE_DIR%\odct-test-work
set OUT_DIR=%WORK_DIR%\testoutput
set NUNIT_EXE=%BASE_DIR%\3rdPartyLibraries\NUnit\nunit-console-x86.exe
set NUNIT_ARGS=/exclude:Integration /nodots /labels /output="%OUT_DIR%\DSTest.out" /err="%OUT_DIR%\DSTest.err" /xml="%OUT_DIR%\DsTest.xml"
set ODCT_TESTS=%BASE_DIR%\odct.tests\bin\Debug\odct.tests.dll

if not exist "%WORK_DIR%" mkdir "%WORK_DIR%"
if not exist "%OUT_DIR%"  mkdir "%OUT_DIR%"

echo.
echo "%NUNIT_EXE%" %NUNIT_ARGS% "%ODCT_TESTS%"
echo.

"%NUNIT_EXE%" %NUNIT_ARGS% "%ODCT_TESTS%"
endlocal
