@echo off
SETLOCAL
set CF_SRC_DIR=%~dp03rdPartyLibraries
set CF_DEST_DIR=%~f1

echo Source:  %CF_SRC_DIR%
echo Dest:    %CF_DEST_DIR%

REM Copy 3rd-party DLLs to bin directory...
for /F "usebackq" %%p in ("3rdPartyFileList.txt") do @copy /Y "%CF_SRC_DIR%\%%p" "%CF_DEST_DIR%"
XCOPY /Y /E /S "%CF_SRC_DIR%\64-bit" "%CF_DEST_DIR%\64-bit\" 
XCOPY /Y /E /S "%CF_SRC_DIR%\32-bit" "%CF_DEST_DIR%\32-bit\" 

if "%ProgramW6432%"=="" goto COPY_32BIT

:COPY_64BIT
XCOPY /Y "%CF_SRC_DIR%\64-bit\*" "%CF_DEST_DIR%"
GOTO END

:COPY_32BIT
XCOPY /Y "%CF_SRC_DIR%\32-bit\*" "%CF_DEST_DIR%"
GOTO END


:END
REM Copy 3rd-party alternate files to bin\3rdPartyTools directory...
echo Creating directory:  "%CF_DEST_DIR%\3rdPartyTools"
if not exist "%CF_DEST_DIR%\3rdPartyTools\." mkdir "%CF_DEST_DIR%\3rdPartyTools"

endlocal
