﻿using NUnit.Framework;
using odct;

namespace odct.tests {
    [TestFixture]
    [Category("Unit")]
    class CredentialsTests {
        [Test]
        public void FilerCredentialsAltConstructorSavesProperValues() {
            Credentials fc = new Credentials("server", "username", "password");

            Assert.That(fc.Server, Is.EqualTo("server"));
            Assert.That(fc.Username, Is.EqualTo("username"));
            Assert.That(fc.Password, Is.EqualTo("password"));
        }
    }
}
