﻿namespace odct.tests {
    using System;
    using System.Threading;
    using NUnit.Framework;
    using odct.View;

    [TestFixture]
    class ProgressWindowTest {
        const int INCREMENTS = 20;
        MessageProgress m;

        public void LongRunning() {
            for (int i = 0; i < INCREMENTS; i++) {
                Messenger.ProgressIncrement(1);
                ((Messenger) this.m).sendInfo("info");
                Thread.Sleep(1000);
            }
        }

        [Test, Ignore("Gui testing. Feel free to run it if you like.")]
        public void TestMessageProgress() {
            this.m = new MessageProgress();
            ((MessageProgress) this.m).SetWork(delegate { this.LongRunning(); });
            this.m.InitAndShow(INCREMENTS, delegate { });
        }        
    }
}
