﻿namespace odct.Clusters {
    using odct.FilerConfig;
    using System;
    using NetApp.Manage;

    public class ClusterOptions : Section {
        public string Name { get; private set; }

        public ClusterOptions(Credentials c, Messenger m)
            : base(c, m) {
            this.FinishConstructor();
        }

        public override string GetZapiCommandString() {
            return "options-get-iter";
        }

        protected override NaElement Process(string specificZapiCommand = null) {
            NaElement api = new NaElement(this.GetZapiCommandString());
            api.AddNewChild("max-records", "9999");
            return this.SafeInvokeElement(api);
        }
    }
}
