﻿namespace odct.Counters {

    public class CounterDefinition {

        public string objectName;
        public int oid;
        public string counterName;
        public long flag;
        public long ctype;
        public long cTypeSize { get { return (ctype & cTypeSizeMask); } }
        public int id;
        public int size;
        public int base_id;
        public string[] x_name;
        private const long cTypeSizeMask = 0xFF;

        public CounterDefinition() { }

        public CounterDefinition(string objectName, int oid, string counterName, long flag, long ctype, int id, int base_id, int size, string[] x_name) {
            this.objectName = objectName;
            this.oid = oid;
            this.flag = flag;
            this.ctype = ctype;
            this.counterName = counterName;
            this.id = id;
            this.base_id = base_id;
            this.size = size;
            this.x_name = x_name;
        }

        public bool isHistogram() {
            if (cTypeSize != this.size) { 
                return true; 
            } else { 
                return false; }
        }
    }
}
