﻿using System;
using System.Collections.Generic;
using System.Text;

namespace odct.Counters {
    public class Flag {

        public long flagValue { get; set; }

        public const long CONFIG_FLAG = 1 << 17; // 2 to the 17th power
        public const long FREQUENCY_1_FLAG = 1 << 18;
        public const long FREQUENCY_2_FLAG = 1 << 19;
        public const long FREQUENCY_3_FLAG = 1 << 20;
        public const long FREQUENCY_4_FLAG = 1 << 21;
        public const long FREQUENCY_MASK = CONFIG_FLAG + FREQUENCY_1_FLAG + FREQUENCY_2_FLAG + FREQUENCY_3_FLAG + FREQUENCY_4_FLAG;

        public Flag(long f) {
            flagValue = f;
        }

        public bool configflag {
            get { return ((flagValue & CONFIG_FLAG) > 0); }
        }

        public bool freq1flag {
            get { return ((flagValue & FREQUENCY_1_FLAG) > 0); }
        }

        public bool freq2flag {
            get { return ((flagValue & FREQUENCY_2_FLAG) > 0); }
        }

        public bool freq3flag {
            get { return ((flagValue & FREQUENCY_3_FLAG) > 0); }
        }

        public bool freq4flag {
            get { return ((flagValue & FREQUENCY_4_FLAG) > 0); }
        }

    }
}
