﻿using System.Runtime;

namespace System.Runtime.CompilerServices {
    [AttributeUsage(AttributeTargets.Assembly | AttributeTargets.Class
         | AttributeTargets.Method)]
    public sealed class ExtensionAttribute : Attribute { }

    // This definition allows the use of extension methods with 
    // .NET Framework 2.0 WITHOUT a reference to LinqBridge.
    //
    // refer to http://stackoverflow.com/questions/1522605/using-extension-methods-in-net-2-0
}
