﻿namespace odct.FilerConfig {
    using System;
    using NetApp.Manage;

    public class Partner : Section {
        public string Name { get; private set; }

        public Partner(Credentials c, Messenger m)
            : base(c, m) {
            this.FinishConstructor();
        }

        public override string GetZapiCommandString() {
            return "cf-get-partner";
        }

        protected override NaElement Process(string specificZapiCommand = null) {
            var xo = base.Process();
            this.Name = xo.GetChildContent("partner");
            return xo;
        }
    }
}
