﻿using System;
using System.Collections.Generic;
using System.Text;

namespace odct.Json {
    public class JsonArray : JsonValue {

        private List<JsonValue> jl;

        public JsonArray() {
            jl = new List<JsonValue>();
        }

        public void Add(JsonValue jv) {
            jl.Add(jv);
        }

        public override string toString() {
            JsonValue[] jva = jl.ToArray();
            string[] jvaAsString = new string[jva.Length];
            for (int i = 0; i < jva.Length; i++) {
                jvaAsString[i] = jva[i].toString();
            }
            string joinedArrayItems = string.Join(",", jvaAsString);
            return string.Format("[{0}]", joinedArrayItems);
        }
    }
}
