@echo off

SETLOCAL
SET PBC_PROJECTDIR=%~1
SET PBC_OUTDIR=%~2
SET PBC_EXE_NAME=%~3
SET PBC_IDE_DIR=%~4
echo "==========PostBuildCommand %PBC_OUTDIR%"
echo "==========PostBuildCommand %PBC_EXE_NAME%"

SET PBC_TARGETDIR=%PBC_PROJECTDIR%%PBC_OUTDIR%
SET PBC_EXE_FILE=%PBC_TARGETDIR%%PBC_EXE_NAME%
SET PBC_MERGED_EXE=%PBC_TARGETDIR%NetApp.Onsite.Data.Collector.exe
set PBC_THIRDPARTY_DIR=%PBC_PROJECTDIR%..\3rdPartyLibraries
set PBC_LIBZ_DIR=%PBC_THIRDPARTY_DIR%\libz
set PBC_DOTNETZIP_DIR=%PBC_THIRDPARTY_DIR%\DotNetZip-v1.9

REM FIX PBC_IDE_DIR VARIABLE FOR VISUAL STUDIO OR MSBUILD . . .
if not exist "%PBC_IDE_DIR%..\..\VC\bin\." set PBC_IDE_DIR=%PBC_IDE_DIR%\

REM SET UP THE ENV VARIABLES FOR MS TOOLS
call "%PBC_IDE_DIR%..\..\VC\bin\vcvars32.bat"

REM TURN OFF DATA EXECUTION PREVENTION...
cd  %PBC_TARGETDIR%
"%PBC_IDE_DIR%..\..\VC\bin\editbin.exe" /NXCOMPAT:NO "%PBC_EXE_FILE%"

if exist "%PBC_MERGED_EXE%" del "%PBC_MERGED_EXE%"
copy /y "%PBC_EXE_FILE%" "%PBC_MERGED_EXE%"

REM Merging dlls to NetApp.Onsite.Data.Collector.exe
"%PBC_LIBZ_DIR%\libz.exe" add --libz Ionic.Zip.Reduced.dll.libz --include "Ionic.Zip.Reduced.dll"
"%PBC_LIBZ_DIR%\libz.exe" add --libz ManageOntap.dll.libz --include "ManageOntap.dll"
"%PBC_LIBZ_DIR%\libz.exe" add --libz cmapl_api.dll.libz --include "cmapl_api.dll"
"%PBC_LIBZ_DIR%\libz.exe" add --libz iconv.dll.libz --include "iconv.dll"
"%PBC_LIBZ_DIR%\libz.exe" add --libz libxml2.dll.libz --include "libxml2.dll"
"%PBC_LIBZ_DIR%\libz.exe" add --libz pocrt.dll.libz --include "pocrt.dll"
"%PBC_LIBZ_DIR%\libz.exe" add --libz zlib1.dll.libz --include "zlib1.dll"

"%PBC_LIBZ_DIR%\libz.exe" inject-libz --assembly "%PBC_MERGED_EXE%" --libz Ionic.Zip.Reduced.dll.libz --move
"%PBC_LIBZ_DIR%\libz.exe" inject-libz --assembly "%PBC_MERGED_EXE%" --libz ManageOntap.dll.libz --move
"%PBC_LIBZ_DIR%\libz.exe" inject-libz --assembly "%PBC_MERGED_EXE%" --libz cmapl_api.dll.libz --move
"%PBC_LIBZ_DIR%\libz.exe" inject-libz --assembly "%PBC_MERGED_EXE%" --libz iconv.dll.libz --move
"%PBC_LIBZ_DIR%\libz.exe" inject-libz --assembly "%PBC_MERGED_EXE%" --libz libxml2.dll.libz --move
"%PBC_LIBZ_DIR%\libz.exe" inject-libz --assembly "%PBC_MERGED_EXE%" --libz pocrt.dll.libz --move
"%PBC_LIBZ_DIR%\libz.exe" inject-libz --assembly "%PBC_MERGED_EXE%" --libz zlib1.dll.libz --move

"%PBC_LIBZ_DIR%\libz.exe" instrument --assembly "%PBC_MERGED_EXE%" --libz-resources

REM Copy license files for our program and 3rd Party Libraries
copy /y "%PBC_PROJECTDIR%*.pdf" .
copy /y "%PBC_PROJECTDIR%NetApp.Onsite.Data.Collector.License.doc" .
copy /y "%PBC_DOTNETZIP_DIR%\Dot-Net-Zip-License.txt" DotNetZip-License.txt
copy /y "%PBC_LIBZ_DIR%\LICENSE.MD" Libz-License.html

endlocal